# Role: ssh_agent

## Description

Installs a global-scoped systemd service for starting ssh-agent on user login.

https://www.openssh.com/

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.ssh_agent
  vars:
    ...
```

### Vars

`ssh_agent_service_dir`:

Directory to install the service file to, normally /etc/systemd/user.

`ssh_agent_user_service_override_dir`:

Directory to install the user@.service override file to, normally /etc/systemd/system/user@.service.d.
